local LD = require("design.LevelDesignLibrary")
local uiCalls = require("ui.uicalls")
local timer = require("level.timer")
local showMessage, disableMessage
function OnStart(level)
  if game.Level.GetVariable("CompletedCineNumber") < 137 then
    GameObjects.CrackClimbReTreversal:HideTraversePath()
  else
    GameObjects.CrackClimbReTreversal:ShowTraversePath()
    GameObjects.TraversePath1:HideTraverseLink()
  end
end
function OnUpdate(level)
end
function OnUseWorld(level)
end
function StartDropDownHelp()
  timer.StartLevelTimer(3, ShowMsg)
  showMessage = true
end
function EndDropDownHelp()
  uiCalls.UI_Event_TurnOffTutorialMessage()
  showMessage = false
end
function ShowMsg()
  if not disableMessage and showMessage then
    print("delete me when prompt is in")
  end
end
function DisableMessage()
  disableMessage = true
end
function EnableCrackClimb()
  GameObjects.CrackClimbReTreversal:ShowTraversePath()
  GameObjects.TraversePath1:HideTraverseLink()
end
function OnEvaluateLoadGroup_Cinematic()
  if game.Level.GetVariable("CompletedCineNumber") <= 136 then
    return "BoarIntroConfig"
  elseif game.Level.GetVariable("CompletedCineNumber") == 137 then
    return "BoarShootConfig"
  else
    return nil
  end
end
